org.apache.cassandra.utils

## Interface CloseableIterator<T>

All Superinterfaces:
  java.lang.AutoCloseable, java.io.Closeable, java.util.Iterator<T>

All Known Subinterfaces:
  ICompactionScanner, IMergeIterator<In,Out>, OnDiskAtomIterator

All Known Implementing Classes:
  ColumnFamilyStore.AbstractScanIterator, KeyIterator, LazyColumnIterator, MergeIterator, ReducingKeyIterator, SSTableIdentityIterator, SSTableNamesIterator, SSTableReader.EmptyCompactionScanner, SSTableScanner, SSTableSliceIterator

    public interface CloseableIterator<T>
    extends java.util.Iterator<T>, java.io.Closeable

### Method Summary

### Methods inherited from interface java.util.Iterator

`hasNext, next, remove`

### Methods inherited from interface java.io.Closeable

`close`